/*
 * hmi.h
 *
 *  Created on: May 31, 2017
 *      Author: wn
 */

#ifndef HMI_H_
#define HMI_H_


#include "timer.h"
#include "stm32f1xx_hal.h"


typedef struct {
  uint32_t toggle;
  uint32_t setModeTemperature;
  uint32_t setModeTime;
  tTimerState timerState;
  uint32_t toggleModeState;
  uint32_t targetTemperature;
  uint32_t currentTemperature;
  uint32_t targetTime;
  uint32_t currentTime;
  uint32_t overrunTime;
} tDisplay;

void hmiInit(void);
void updateDisplay(void *handle);
void displayToggleSetMode();
void displayDecValue();
void displayIncValue();


#endif /* HMI_H_ */
